Bug 1698521 - manifest upload duplicate key value violates unique constraint
Summary: manifest upload duplicate key value violates unique constraint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.4.3
Assignee: Justin Sherrill
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-10 14:15 UTC by Mike McCune
Modified: 2019-10-30 17:14 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.56-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1686604
Environment:
Last Closed: 2019-04-30 16:35:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26412 Normal Closed manifest upload duplicate key value violates unique constraint 2020-09-09 15:17:13 UTC
Red Hat Product Errata RHBA-2019:0913 None None None 2019-04-30 16:35:32 UTC

Comment 2 jcallaha 2019-04-17 14:47:36 UTC
Verified in Satellite 6.4.3 Snap 2.

Ran a loop with 20 manifest uploads/deletions, which easily reproduced this bug in the past.

None of those instances encountered the issue.

Verified in Satellite 6.4.3 Snap 2.

-bash-4.2# for i in {1..20}; do date && hammer -u admin -p changeme subscription upload --file manifest-latest.zip --organization-id 1 && date && hammer -u admin -p changeme subscription delete-manifest --organization-id 1; done
Wed Apr 17 09:52:40 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryHG4tGXW4wPNXyB5m" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:53:00 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:53:15 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryy5psreq67lNYrldg" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:53:33 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:53:47 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryhLAFSnJsrB1hg8N1" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:54:05 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:54:19 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundarydethS0c1vI4GbsoQ" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:54:37 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:54:50 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryalMv9kX0yOAz2cD8" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:55:09 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:55:23 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundarytOm3q4lUwj0916Rc" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:55:41 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:55:55 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryE3tmhxcy3pX6garw" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:56:12 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:56:27 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundary2OMBj25QiySSEULs" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:56:47 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:57:03 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundary0lYTANbyyOob42nh" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:57:21 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:57:37 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryB75rNTYBr4VG5WhO" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:57:55 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:58:08 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryz7R0wpSxl1zc8b8C" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:58:28 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:58:42 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryBD3XbneY6puGgsHI" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:59:02 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:59:16 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryPjBeqX26n4B8xpTD" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:59:31 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 09:59:47 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryqaBL5VzGpDQSmQJV" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:00:07 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:00:23 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryvxp8FyEwAE7AqqCW" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:00:41 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:00:57 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryuKmAcaIoci9nao3p" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:01:12 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:01:26 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundary8LTOhLblQL836QV0" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:01:46 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:02:00 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundaryUHqrck0YkVUqqxqT" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:02:16 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:02:33 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundary3fqvTcJgYA6DVmAO" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:02:51 EDT 2019
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:03:03 EDT 2019
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundary3SewHKQNlE7C8swD" due to payload
[.....................................................................................................................................................................................] [100%]
Wed Apr 17 10:03:21 EDT 2019
[.....................................................................................................................................................................................] [100%]

Comment 5 errata-xmlrpc 2019-04-30 16:35:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0913


Note You need to log in before you can comment on or make changes to this bug.